Bug 130106 - Install uses wrong permissions causing problems
Install uses wrong permissions causing problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 00:25 EDT by Pablo Mejia
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 22:55:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Mejia 2004-08-17 00:25:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.2) Gecko/20040803

Description of problem:
After updating using up2date mozilla started acting strangely.  Two
very noticeable issues were:

- Form buttons did not work
- Left click on links failed to do anything, though middle click
worked using a new tab.

I moved my .mozilla directory in case it was corrupt.  After this,
startup (using icon) would cause the mozilla-bin program to consume
lots of CPU and never display a window.  Test with a newly created
account showed the same problem.  Putting the .mozilla directory back
would bring things back to the above broken state.

Looking into /usr/lib/mozilla I found several directories without
group or other read permission.  Giving group and other permission to
read the directories fixed the problem.  The directories were:

components/myspell/
greprefs/
init.d/
res/inspector/

Looking at the RPM file I note that the directories are not listed,
though some files under them are.  Perhaps that is part of the problem.




Version-Release number of selected component (if applicable):
mozilla-1.7.2-0.2.0

How reproducible:
Always

Steps to Reproduce:
1. Start mozilla using the normal panel icon
2. Note that mozilla doesn't show a window
3. Check top output and see that mozilla-bin is consuming CPU.
4. Wait until bored and note that mozilla doesn't show a window.
    

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:17:38 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Christopher Blizzard 2005-05-27 19:32:25 EDT
This has been fixed on the most recent rawhide build.
Comment 3 Matthew Miller 2006-06-29 22:55:47 EDT
Pay no mind -- just changing resolution to CLOSED:RAWHIDE as per comment #2 from
last year. 

Note You need to log in before you can comment on or make changes to this bug.